org.eclipse.incquery.runtime.localsearch.operations.extend

## Class IterateOverEClassInstances

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation<org.eclipse.emf.ecore.EObject>
  - - org.eclipse.incquery.runtime.localsearch.operations.extend.IterateOverEClassInstances

- All Implemented Interfaces:
    ISearchOperation

      public class IterateOverEClassInstances
      extends ExtendOperation<org.eclipse.emf.ecore.EObject>

  Iterates all available `EClass` instances using an `EMF-IncQuery Base indexer`. It is assumed that the base indexer has been registered for the selected type.
  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IterateOverEClassInstances(int position, org.eclipse.emf.ecore.EClass clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EClass` | `getClazz()`
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `void` | `onInitialize(MatchingFrame frame, ISearchContext context)` During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation

      `execute, onBacktrack`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IterateOverEClassInstances

          public IterateOverEClassInstances(int position,
                                            org.eclipse.emf.ecore.EClass clazz)

  - ### Method Detail

    - #### getClazz

          public org.eclipse.emf.ecore.EClass getClazz()

    - #### onInitialize

          public void onInitialize(MatchingFrame frame,
                                   ISearchContext context)

      Description copied from interface: `ISearchOperation`
      During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin. Operations may use this method to initialize its internal data structures.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Returns:
        the ordered list of the variable numbers that are affected by the search operation